%global plugin_name workflow-scm-step

Summary:    Pipeline steps to check out sources from various SCMs
Name:       jenkins-plugin-%{plugin_name}
Version:    2.3
Release:    1%{?dist}
License:    MIT
# URL is correct
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Pipeline+SCM+Step+Plugin
# AltURL:   https://github.com/jenkinsci/workflow-scm-step-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins-plugin-workflow-step-api
Requires:   jenkins >= 1.642.3

%description
This plugin allows pipelines to use standard Jenkins 
SCM plugins to check out source code. The goals are the 
maximum possible compatibility with existing plugins, 
and great flexibility for script authors.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Mon Nov 21 2016 Troy Dawson <tdawson@redhat.com> - 2.3-1
- Update to latest version

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 2.1-1
- Initial package
